<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::HardwareBufferManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#b523a5b31c88599812538441b7e37775">_forceReleaseBufferCopies</a>(const HardwareVertexBufferSharedPtr &amp;sourceBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#0da9a2c9a66030d32c90871191da0b6a">_forceReleaseBufferCopies</a>(HardwareVertexBuffer *sourceBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#9a2793066da237001972061b76930c95">_freeUnusedBufferCopies</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#ee835c8225ba41a1358db813ce080b0e">_notifyIndexBufferDestroyed</a>(HardwareIndexBuffer *buf)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#2b188dbba89b0210ad7359434aa87bee">_notifyVertexBufferDestroyed</a>(HardwareVertexBuffer *buf)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#8632cd79b8f18ed2b21bd6b474a49276">_releaseBufferCopies</a>(bool forceFreeUnused=false)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#9061909fca1c96d50ddbeeee6df8a4d8">allocateVertexBufferCopy</a>(const HardwareVertexBufferSharedPtr &amp;sourceBuffer, BufferLicenseType licenseType, HardwareBufferLicensee *licensee, bool copyData=false)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be42b5264f5aa05c0c07ec752e233025a8c">BLT_AUTOMATIC_RELEASE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be4226950ab5142d2fc2e0a4b9d4da45312">BLT_MANUAL_RELEASE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#44c2e8b8f5664fa3aad2de27723d0be4">BufferLicenseType</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#18a45108c297f895c4784f0ed9e1ae8b">createIndexBuffer</a>(HardwareIndexBuffer::IndexType itype, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer=false)=0</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#812d27a28ace0ffb0a8f0fb7de945679">createVertexBuffer</a>(size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false)=0</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#4d907dd6ed467886ca7df6a188b73d4d">createVertexBufferBinding</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#02f6d91dfb93173e817503beeb2c2a4d">createVertexBufferBindingImpl</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#0d6a29a55a89d937cec4cbaa6c7e8b4b">createVertexDeclaration</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#11503684fa072a6ff6a74c3a2e01896d">createVertexDeclarationImpl</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#b90f062df30fc1e3b2c480f4643739ea">destroyAllBindings</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#5e9742143f589f88baa1932ca6e6c5ca">destroyAllDeclarations</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#f5abdc6a7e28634b759189e54f1e6fdd">destroyVertexBufferBinding</a>(VertexBufferBinding *binding)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#75e8091121a13e66e94f99ea95b66a0c">destroyVertexBufferBindingImpl</a>(VertexBufferBinding *binding)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#8df941430aef9a6c87660655b51672a3">destroyVertexDeclaration</a>(VertexDeclaration *decl)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#3cac422c11632fcae94d828db58aab73">destroyVertexDeclarationImpl</a>(VertexDeclaration *decl)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#9fb27e86e284b2e672b74de5cfd89479">EXPIRED_DELAY_FRAME_THRESHOLD</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#2d5d58855ea1e2cf6b2c4e1250b1ce61">FreeTemporaryVertexBufferMap</a> typedef</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#380063fef4a4563c90d45a03ac196dc7">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#b633b90f5015dc3199f96e0514347b3b">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#42e3b9e477b2b408d8043d2885741064">HardwareBufferManager</a>()</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#c301d86fde854d92c82283660c10ca58">HardwareIndexBufferSharedPtr</a> class</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#bdb4b01e9cf06263b1bae7fbb0bb2e9e">HardwareVertexBufferSharedPtr</a> class</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#4733bb5bb35bbd11989d815fba0dc8b8">IndexBufferList</a> typedef</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#d20854717425ed03395fb0433b566e3b">makeBufferCopy</a>(const HardwareVertexBufferSharedPtr &amp;source, HardwareBuffer::Usage usage, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#6894d555b7760538fd78c43dce12c391">mFreeTempVertexBufferMap</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#e8123944800717cc088e0a69552ab377">mIndexBuffers</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#0b16c3a739a5167cf8718548bda89c11">mTempVertexBufferLicenses</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#125df1caf80d70e2e57814900cda6a5b">mUnderUsedFrameCount</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#5b4b47bedc54d3e5c37e06eb15acdfde">mVertexBufferBindings</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#e15225693e51ed0f909291e51f3a9345">mVertexBuffers</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#51c42a14b251f33136fd66c7850c1b73">mVertexDeclarations</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#763b65efa057185d7acbe073bf0e3610">registerVertexBufferSourceAndCopy</a>(const HardwareVertexBufferSharedPtr &amp;sourceBuffer, const HardwareVertexBufferSharedPtr &amp;copy)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#34bc652b029f856a5b130f850ba333a0">releaseVertexBufferCopy</a>(const HardwareVertexBufferSharedPtr &amp;bufferCopy)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#826b96eb064f7e66361b53dba1867b6f">TemporaryVertexBufferLicenseMap</a> typedef</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#f83a478657dabe2d2e35f0d876abcc5b">touchVertexBufferCopy</a>(const HardwareVertexBufferSharedPtr &amp;bufferCopy)</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#8dc0c6a44a1fe09f951cb6c868dec21f">UNDER_USED_FRAME_THRESHOLD</a></td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#9f67a783dda9530e91c251ad6fabd2f1">VertexBufferBindingList</a> typedef</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#005a83b3e1d4b0f22702b46db94c628f">VertexBufferList</a> typedef</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#d0a869ca526ad6799d90511ae7c97727">VertexDeclarationList</a> typedef</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBufferManager.html#54795a0130ea40c3b863ded7b4d3c7bc">~HardwareBufferManager</a>()</td><td><a class="el" href="classOgre_1_1HardwareBufferManager.html">Ogre::HardwareBufferManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:55 2008
</p>
</body>
</html>
